Bug 110943 - start-dccifd chowns /var/run to user dcc
Summary: start-dccifd chowns /var/run to user dcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom McLaughlin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-27 20:30 UTC by Andy Hilker
Modified: 2007-11-14 04:10 UTC (History)
0 users

See Also:


Attachments
dcc-dccd_rundir.diff (1.15 KB, patch)
2007-06-24 08:48 UTC, Tom McLaughlin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Hilker 2007-03-27 20:30:06 UTC
If i use the defaults rundir /var/run, the start-dccifd will chown
/var/run from root:wheel to dcc:wheel. I think this is not useful
for other programs! Usually this directory should be owned by
root:wheel.

Sure I have altered my configuration to use /var/run/dcc/ instead,
but by default the port will "damage" the system. It would be nice,
if this can be avoided (for example by altering rc startscript and
default dcc config?).

Fix: 

several solutions, i do not know what is the best for all:

A) change rundir in makefile to /var/run/dcc and let it patch all following files (rc script, dcc_conf, ...)

B) fix the error where it comes from...
How-To-Repeat: Install dcc-dccd-1.3.50 from ports, activate dccifd in rc.conf and in /usr/local/dcc/dcc_conf ... or simply look at /usr/local/dcc/libexec/start-dccifd (line #183)
Comment 1 Edwin Groothuis freebsd_committer 2007-03-31 21:51:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-06-17 23:04:03 UTC
State Changed
From-To: feedback->open

maintainer feedback timeout
Comment 3 Tom McLaughlin 2007-06-24 08:48:49 UTC
Is the attached patch okay?  I don't use this so please make sure it
doesn't break anything.

tom
-- 
| tmclaugh at sdf.lonestar.org             tmclaugh at FreeBSD.org |
| FreeBSD                                   http://www.FreeBSD.org |
| BSD#                    http://www.mono-project.com/Mono:FreeBSD |
Comment 4 Tom McLaughlin freebsd_committer 2007-06-24 09:27:56 UTC
State Changed
From-To: open->feedback
Comment 5 Tom McLaughlin freebsd_committer 2007-06-24 09:27:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

Grab
Comment 6 Tom McLaughlin 2007-08-27 01:52:27 UTC
Can I get an approval on the patch attached to this PR?  Since I don't
use the port regularly I want to make sure I didn't break anything.
Thanks.

tom
-- 
| tmclaugh at sdf.lonestar.org                 tmclaugh at FreeBSD.org |
| FreeBSD                                       http://www.FreeBSD.org |
Comment 7 Craig Green 2007-11-12 22:46:49 UTC
> Can I get an approval on the patch attached to this PR? Since I don't
> use the port regularly I want to make sure I didn't break anything.
> Thanks.
>
> tom


I sent an email to the port maintainer about this a couple of weeks ago 
after tracking down why after upgrading DCC on my boxes Sendmail 
wouldn't restart because it claimed to not be running (/var/run was now 
owned by dcc(!) so Sendmail's mailnull user couldn't write a PID file in 
/var/run).  I have not heard back.

I was about to file a PR about this, but some searching turned up this PR.


My configure_args line from the Makefile:

CONFIGURE_ARGS= --homedir=${PREFIX}/dcc --bindir=${PREFIX}/bin 
--mandir=${MANPREFIX}/man --with-rundir=/var/run/dcc


Other than there now being a ${MANPREFIX}, your patch is exactly what I 
came up with (change the configure args in the port Makefile so the run 
dir is /var/run/dcc and change the PID file location in the rc.d startup 
script to point to the new run directory), so I'll give it a personal 
thumbs up.  The port (dcc-dccd-1.3.50) builds and runs correctly, and 
the dcc_conf file is correctly generated with the updated run dir.


This simple issue has been unresolved for around 8 months now; what 
needs to be done to request a maintainer timeout and get the Makefile fixed?


Craig.
------
Comment 8 Tom McLaughlin freebsd_committer 2007-11-14 03:54:13 UTC
State Changed
From-To: feedback->closed

Thanks for the thumbs up Craig.  Patch has been committed.
Comment 9 dfilter service freebsd_committer 2007-11-14 04:01:26 UTC
tmclaugh    2007-11-14 04:01:22 UTC

  FreeBSD ports repository

  Modified files:
    mail/dcc-dccd        Makefile 
    mail/dcc-dccd/files  dcc-start.sh.in 
  Log:
  Change location of pid file from /var/run to /var/run/dcc because
  application changes ownership of the rundir to the user it is running
  as.
  
  PR:             110943
  Approved by:    portmgr (linimon), maintainer timeout
  
  Revision  Changes    Path
  1.36      +2 -1      ports/mail/dcc-dccd/Makefile
  1.2       +1 -1      ports/mail/dcc-dccd/files/dcc-start.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"